//////////////////////////////////////////////////////////////////////
//  vWFNg  :  IP2MAC
//
//  t@C  :  o[W_CAONX
//
//  J      :  Visual Studio 2019
//
//  @@    :  2020/ 3/25
//
//  @@    :  ElementTech  Hidetoshi Matsui
//////////////////////////////////////////////////////////////////////
#include  <Windows.h>
#include  "Resource.h"
#include  "DialogVersion.h"

//////////////////////////////////////////////////////////////////////
//        R[obN֐
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//  ց@@   :  DlgVersionProc
//
//  @@@@\   :  o[W_CAOvVW
//
//  p[^   :  HWND    p_hDlg     <- EChEnh
//                  UINT    p_message  <- bZ[W
//                  WPARAM  p_wParam   <- gp[^
//                  LPARAM  p_lParam   <- gp[^
//
//  ߁@@l   :  BOOL
//
//  @@   :  2020/ 3/25   by H.m
//////////////////////////////////////////////////////////////////////
BOOL CALLBACK	DlgVersionProc(HWND p_hDlg, UINT p_uMessage, WPARAM p_wParam, LPARAM p_lParam)
{
	static DialogVersion*	pDialog;
	BOOL	fResult = FALSE;

	if (p_uMessage == WM_INITDIALOG)	{
		pDialog = (DialogVersion*)p_lParam;
		fResult = pDialog->dlgProc(p_hDlg, p_uMessage, p_wParam, p_lParam);
	}
	else	{
		if (pDialog != NULL)	{
			fResult = pDialog->dlgProc(p_hDlg, p_uMessage, p_wParam, p_lParam);
		}
	}
	return fResult;
}

//////////////////////////////////////////////////////////////////////
//        RXgN^/fXgN^
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//  \bh   :  DialogVersion
//
//  @@@@\   :  RXgN^
//
//  p[^   :  Ȃ
//
//  ߁@@l   :  g̃CX^X
//
//  @@   :  2020/ 3/25   by H.m
//////////////////////////////////////////////////////////////////////
DialogVersion::DialogVersion()
{
}

//////////////////////////////////////////////////////////////////////
//  \bh   :  ~DialogVersion
//
//  @@@@\   :  fXgNe
//
//  p[^   :  Ȃ
//
//  ߁@@l   :  Ȃ
//
//  @@   :  2020/ 3/25   by H.m
//////////////////////////////////////////////////////////////////////
DialogVersion::~DialogVersion()
{
}

//////////////////////////////////////////////////////////////////////
//        pubN\bh
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//  \bh   :  createDialogBox
//
//  @@@@\   :  _CAO{bNX쐬B
//
//  p[^   :  HWND  p_hWnd  <- EChEnh
//
//  ߁@@l   :  BOOL
//
//  @@   :  2020/ 3/25   by H.m
//////////////////////////////////////////////////////////////////////
BOOL	DialogVersion::createDialogBox(HWND p_hWnd)
{
	BOOL		fResult = FALSE;
	HINSTANCE	hInstance;
	DLGPROC		pfnDlgProc;

	hInstance = (HINSTANCE)GetWindowLongPtr(p_hWnd, GWLP_HINSTANCE);
	pfnDlgProc = (DLGPROC)DlgVersionProc;
	INT_PTR npRet = DialogBoxParam(hInstance, MAKEINTRESOURCE(DLGVERSION), p_hWnd, pfnDlgProc, (LPARAM)this);
	if (npRet != -1)	{
		fResult = TRUE;
	}
	return fResult;
}

//////////////////////////////////////////////////////////////////////
//  \bh   :  dlgProc
//
//  @@@@\   :  bZ[WCxgsB
//
//  p[^   :  HWND    p_hDlg      <- EChEnh
//                  UINT    p_uMessage  <- bZ[W
//                  WPARAM  p_wParam    <- gp[^
//                  LPARAM  p_lParam    <- gp[^
//
//  ߁@@l   :  BOOL
//
//  @@   :  2020/ 3/25   by H.m
//////////////////////////////////////////////////////////////////////
BOOL	DialogVersion::dlgProc(HWND p_hDlg, UINT p_uMessage, WPARAM p_wParam, LPARAM p_lParam)
{
	BOOL	fResult;

	switch(p_uMessage)	{
		case WM_INITDIALOG:
			fResult = dlgInit(p_hDlg);
			break;
		case WM_COMMAND:
			fResult = dlgCommand(p_hDlg, p_wParam, p_lParam);
			break;
		default:
			fResult = FALSE;
			break;
	}
	return fResult;
}

//////////////////////////////////////////////////////////////////////
//        vCx[g\bh
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//  \bh   :  dlgInit
//
//  @@@@\   :  WM_INITDIALOGsB
//
//  p[^   :  HWND  p_hDlg  <- EChEnh
//
//  ߁@@l   :  BOOL
//
//  @@   :  2020/ 3/25   by H.m
//////////////////////////////////////////////////////////////////////
BOOL		DialogVersion::dlgInit(HWND p_hDlg)
{
	UNREFERENCED_PARAMETER(p_hDlg);
	
	setDialogCenter(p_hDlg);
	
	return TRUE;
}

//////////////////////////////////////////////////////////////////////
//  \bh   :  dlgCommand
//
//  @@@@\   :  WM_COMMANDsB
//
//  p[^   :  HWND    p_hDlg    <- EChEnh
//                  WPARAM  p_wParam  <- gp[^
//                  LPARAM  p_lParam  <- gp[^
//
//  ߁@@l   :  BOOL
//
//  @@   :  2020/ 3/25   by H.m
//////////////////////////////////////////////////////////////////////
BOOL	DialogVersion::dlgCommand(HWND p_hDlg, WPARAM p_wParam, LPARAM p_lParam)
{
	UNREFERENCED_PARAMETER(p_lParam);

	BOOL		fResult = TRUE;
	
	switch(LOWORD(p_wParam))	{
		case IDOK:
		case IDCANCEL:
			EndDialog(p_hDlg, TRUE);
			break;
		default:
			fResult = FALSE;
			break;
	}
	return fResult;
}
